# API reference

NOTE: The main entry point to the API is through [Events](plugins.md#events) that are received by plugins. These events' descriptions link back to this page.

::: mkdocs.structure.files.Files
    options:
      show_root_heading: true

::: mkdocs.structure.files.File
    options:
      show_root_heading: true

::: mkdocs.config.base.Config
    options:
      show_root_heading: true

::: mkdocs.utils.templates.TemplateContext
    options:
      show_root_heading: true
      show_if_no_docstring: true

::: mkdocs.livereload.LiveReloadServer
    options:
      show_root_heading: true
